<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>snake</title>
    <link href="https://fonts.googleapis.com/css?family=VT323" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="..//css/style.css">
    <script src="neuralNetwork.js" type="module"></script>
    <script src="snake.js" type="module"></script>
    <script src="geneticAlgorithm.js" type="module"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
    
    

</head>

<body>
    <div id="aWrapper">
        <canvas id="myCanvas" width="2100" height="2100">
            Your browser does not support the HTML5 canvas tag.
        </canvas>
    </div>
    <table id="statsTable" width="350">
        <tr>
            <th><h7 class="gen">generation</h7></th>
            <th><h7 class="best">best score</h7></th>
            <th><h7 class="avg">avg score</h7></th>
        </tr>
    </table>
    <!-- <div id="configurationDiv"> -->

<!--         <div class="box" id="geneticConfig">
            <h1 class="boxText">genetic algorithm</h1>
            <h3>bias range </h3>
            <h2>max: <input type="number" id="maxBias"></h2>
            <h2>min: <input type="number" id="minBias"></h2>
            <h3>weightsRange </h3>
            <h2>max: <input type="number" id="maxWeight"></h2>
            <h2>min: <input type="number" id="minWeight"></h2>
            <h3>range mutamento geni </h3>
            <h2>first: <input type="number" min="1" max="100" id="1Perc"></h2>
            <h2>second: <input type="number" min="1" max="100" id="2Perc"></h2>
            <h2>third: <input type="number" min="1" max="100" id="3Perc"></h2>
            <h2>fourth: <input type="number" min="1" max="100" id="4Perc"></h2>
            <h2>fifth: <input type="number" min="1" max="100" id="5Perc"></h2>
        </div> -->

<!--         <div class="box">
            <h1 class="boxText">input importance</h1>
            <h3>apple </h3>
            <h2>widh-height: <input type="number" id="appleWidthHeight"></h2>
            <h2>diagonal: <input type="number" id="appleDiagonal"></h2>
            <h3>border </h3>
            <h2>widh-height: <input type="number" id="borderWidthHeight"></h2>
            <h2>widh-height: <input type="number" id="borderDiagonal"></h2>
            <h3>snakeBody </h3>
            <h2>widh-height: <input type="number" min="1" max="100" id="snakeBodyWidthHeight"></h2>
            <h2>widh-height: <input type="number" min="1" max="100" id="snakeBodyDiagonal"></h2>
        </div> -->
        <label class="switch">
            <h4>off / on</h4>
            <input id ="onOffButton" type="checkbox">
            <span class="slider"></span>
        </label>
        <!--<div class="box2">
            <h1 class="boxText">activation function</h1>
            <h3><input class="radio" type="radio" name="function" value="1">3</input><br></h3>
            <h3><input class="radio" type="radio" name="function" value="2">1</input><br></h3>
            <h3><input class="radio" type="radio" name="function" value="3">5</input><br></h3>
            <h3><input class="radio" type="radio" name="function" value="4">4</input><br></h3>
            <h3><input class="radio" type="radio" name="function" value="5">8</input><br></h3>
            <h3><input class="radio" type="radio" name="function" value="6">2</input><br></h3>
            <h3><input class="radio" type="radio" name="function" value="6">2</input><br></h3>
            <h3><input class="radio" type="radio" name="function" value="6">2</input><br></h3>
        </div>-->
        <!-- <button id="saveButton"><h5>save</h5></button> -->
        <button id="resetButton"><h6>reset</h6></button>
        <div id="neuralNetwork">
            <div class="layer0" id="layer0"></div>
            <div class="layer1" id="layer1"></div>
            <div class="layer2" id="layer2"></div>
            <div class="layer3" id="layer3"></div>
            <div class="layer4" id="layer4"></div>
            <div class="layer5" id="layer5"></div>
        </div>
        <svg id="svg">
            <line id="line"/>
          </svg>
        <script type="module" src="main.js"></script>
</body>

</html>